Skip to main content
GET
/
pension-schema
/
{id}
cURL
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v1/pension/pension-schema/{id}
{
  "message": {
    "text": "<string>",
    "token": "<string>",
    "tokenArguments": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "content": {
    "data": {
      "id": "<string>",
      "organisationId": "<string>",
      "pensionProviderId": "<string>",
      "name": "<string>",
      "paymentSource": "<string>",
      "lastReEnrolmentDate": "2023-12-25",
      "dutyStartDate": "2023-12-25",
      "externalReferenceId": "<string>",
      "createdBy": "<string>",
      "createdDate": "2023-11-07T05:31:56Z",
      "updatedBy": "<string>",
      "updatedDate": "2023-11-07T05:31:56Z",
      "groups": [
        {
          "id": "<string>",
          "organisationId": "<string>",
          "pensionSchemaId": "<string>",
          "name": "<string>",
          "isDefault": true,
          "pensionType": "<string>",
          "isSalarySacrifice": true,
          "basis": "<string>",
          "employeeFactor": 123,
          "employerFactor": 123,
          "nationalInsuranceSavingsFactor": 123,
          "createdBy": "<string>",
          "createdDate": "2023-11-07T05:31:56Z",
          "updatedBy": "<string>",
          "updatedDate": "2023-11-07T05:31:56Z"
        }
      ],
      "pensionProvider": {
        "id": "<string>",
        "name": "<string>",
        "slug": "<string>",
        "paymentSourceRequired": true,
        "record_start": "2023-11-07T05:31:56Z",
        "record_end": "2023-11-07T05:31:56Z"
      }
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Response

message
object
content
object